
CODEPOT

 Codepot is a simple web-based source code manager. It incorporates the
 subversion revision control system and wiki-based documentation, and supports
 authentication via LDAP.

INSTALLATION

 An RPM package is provided for RedHat/CentOS Linux. The RPM package specifies
 dependency which must met prior to or at the same time as the installation of
 the rpm package. 

   rpm -ivh codepot-X.X.X-X.noarch.rpm

 You can use the yum utility to be hassle-free instead.

   yum localinstall --nogpgcheck codepot-X.X.X-X.noarch.rpm

 You should perform the following tasks after the RPM installation.

   * Initialize the mysql database using /etc/codepot/codepot.mysql.
   * Add the following switch to /etc/httpd/conf.d/perl.conf
      PerlSwitches -Mlib=/etc/codepot/perl
   * Configure /etc/httpd/conf.d/codepot.conf
   * Configure /etc/codepot/codepot.ini
   * Restart httpd
   
 Here is how to install Codepot into the standard locations under Ubuntu Linux.

 * Install required packages.
   $ sudo apt-get install wget
   $ sudo apt-get install subversion
   $ sudo apt-get install apache2-mpm-prefork
   $ sudo apt-get install libapache2-svn
   $ sudo apt-get install libapache2-mod-auth-mysql # optional
   $ sudo apt-get install php5 php5-ldap php5-mysql
   $ sudo apt-get install php5-svn # if available

 * Install the mysql server if you want to store projects in a local mysql 
   database.
   $ sudo apt-get install mysql-server

 * Install the openldap server if you want to use a local LDAP server.
   $ sudo apt-get install slapd

 * Enable the apache server modules
   $ sudo a2enmod php5
   $ sudo a2enmod authnz_ldap # enable ldap-based authentication
   $ sudo a2enmod dav_svn
   $ sudo a2enmod userdir # to enable $HOME/public_html
   $ sudo /etc/init.d/apache2 restart

 * Install source code
   $ ./configure \
        --with-wwwdir=/var/www/codepot \
        --with-cfgdir=/etc/codepot \
        --with-depotdir=/var/lib/codepot \
        --with-logdir=/var/log/codepot \
        --with-cachedir=/var/cache/codepot
   $ make install
   $ mkdir -p /var/lib/codepot/svnrepo /var/lib/codepot/files
   $ mkdir -p /var/cache/codepot /var/log/codepot
  
 * Customize CFGDIR/codepot.ini 

 * Initialize database using CFGDIR/codepot.mysql

 * Configure apache web server authentication for subversion webdav access 
   based on CFGDIR/codepot.httpd 

 * To enable SSL 
   $ sudo a2enmod ssl 
   $ sudo a2ensite default-ssl
   $ sudo hostname actual.domain.name
   $ sudo make-ssl-cert generate-default-snakeoil --force-overwrite
   $ sudo hostname ${HOSTNAME}
   $ sudo /etc/init.d/apache2 restart
 
   Note that make-ssl-cert is provided by the ssl-cert package.

LICENSE

 This software is licensed under the GNU General Public License.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 This software contains the following third-party components.

   ------------------------------------------------------------------------
   Name                                         License
   ------------------------------------------------------------------------
   CodeIgniter 1.7.2                            See src/system/license.txt
   Google code prettify                         Apache License 2.0
   JavaScript Creole 1.0 Wiki Markup Parser     See src/js/creole.js
   jQuery JavaScript Library v1.4.2             See http://jquery.org/license
   jQuery UI 1.8                                MIT or GPL
   PHPGraphLib                                  MIT
   CLOC 1.62                                    GPL
   ------------------------------------------------------------------------

